## cloud-sptheme 1.10.1.post20200504175005

=== docs/requirements.txt ===
# NOTE: switched to custom branch until https://github.com/dreamhost/sphinxcontrib-fulltoc/issues/10 is fixed
## sphinxcontrib-fulltoc
git+https://github.com/eli-collins/sphinxcontrib-fulltoc.git

## cloud-sptheme 1.6

=== debian/changelog ===
cloud-sptheme (1.6-1build1) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 22 Jul 2015 03:34:38 +0000

cloud-sptheme (1.6-1) unstable; urgency=medium

  * Initial release. (Closes: #734952)

 -- Nicolas Dandrimont <olasd@debian.org>  Sat, 18 Jan 2014 22:13:27 +0100

=== debian/control ===
Source: cloud-sptheme
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Nicolas Dandrimont <olasd@debian.org>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python-all,
 python3-all,
 python-sphinx,
 python3-sphinx,
 python-setuptools,
 python3-setuptools
Standards-Version: 3.9.5
X-Python-Version: >= 2.6
Homepage: http://pythonhosted.org/cloud_sptheme/
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/cloud-sptheme/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/cloud-sptheme/trunk/

Package: python-cloud-sptheme
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, cloud-sptheme-common (= ${source:Version})
Description: Cloud Sphinx theme and related extensions
 cloud_sptheme contains a Sphinx theme named "Cloud", and some related
 Sphinx extensions.  Cloud and its extensions are primarily oriented
 towards generating html documentation for Python libraries. It provides
 numerous small enhancements to make the html documentation more
 interactive, and improve the layout on mobile devices.
 .
 In addition to the Cloud theme, this package provides a few extra Sphinx
 extensions which may be useful when documenting Python projects; and
 should be theme-agnostic:
 .
 cloud_sptheme.ext.autodoc_sections
   Patches the sphinx.ext.autodoc to handle RST section headers inside
   docstrings.
 cloud_sptheme.ext.issue_tracker
   Adds a special :issue: role for quickly linking to your project's
   issue tracker.
 cloud_sptheme.ext.escaped_samp_literals
   Patches Sphinx to permit escaped {} characters within a :samp: role.
 cloud_sptheme.ext.table_styling
   Enhances .. table directive to support per-column text alignment and
   other layout features.
 .
 This package contains the Python 2 version of cloud_sptheme.

Package: python3-cloud-sptheme
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, cloud-sptheme-common (= ${source:Version})
Description: Cloud Sphinx theme and related extensions (python3 version)
 cloud_sptheme contains a Sphinx theme named "Cloud", and some related
 Sphinx extensions.  Cloud and its extensions are primarily oriented
 towards generating html documentation for Python libraries. It provides
 numerous small enhancements to make the html documentation more
 interactive, and improve the layout on mobile devices.
 .
 In addition to the Cloud theme, this package provides a few extra Sphinx
 extensions which may be useful when documenting Python projects; and
 should be theme-agnostic:
 .
 cloud_sptheme.ext.autodoc_sections
   Patches the sphinx.ext.autodoc to handle RST section headers inside
   docstrings.
 cloud_sptheme.ext.issue_tracker
   Adds a special :issue: role for quickly linking to your project's
   issue tracker.
 cloud_sptheme.ext.escaped_samp_literals
   Patches Sphinx to permit escaped {} characters within a :samp: role.
 cloud_sptheme.ext.table_styling
   Enhances .. table directive to support per-column text alignment and
   other layout features.
 .
 This package contains the Python 3 version of cloud_sptheme.

Package: cloud-sptheme-common
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Cloud Sphinx theme and related extensions (theme files and docs)
 cloud_sptheme contains a Sphinx theme named "Cloud", and some related
 Sphinx extensions.  Cloud and its extensions are primarily oriented
 towards generating html documentation for Python libraries. It provides
 numerous small enhancements to make the html documentation more
 interactive, and improve the layout on mobile devices.
 .
 This package contains the theme files, shared by the python2 and
 python3 versions of the package. It also contains the documentation for
 the theme and the associated extensions.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	sphinx-build $(CURDIR)/docs $(CURDIR)/html

override_dh_auto_clean:
	dh_auto_clean
	if [ -d $(CURDIR)/html ]; then rm -r $(CURDIR)/html; fi

override_dh_install:
	dh_install --fail-missing

## cloud-sptheme 1.8.0

=== debian/changelog ===
cloud-sptheme (1.8.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Sandro Tosi ]
  * Team upload
  * New upstream release; Closes: #829230
  * debian/control
    - bump Standards-Version to 3.9.8 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Tue, 13 Dec 2016 07:15:35 -0500

cloud-sptheme (1.6-1~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.

 -- Nicolas Dandrimont <olasd@debian.org>  Thu, 20 Mar 2014 13:51:02 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: cloud-sptheme
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Nicolas Dandrimont <olasd@debian.org>
 Build-Depends:
  debhelper (>= 9),
@@ -13,11 +12,11 @@
  python3-sphinx,
  python-setuptools,
  python3-setuptools
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
 X-Python-Version: >= 2.6
 Homepage: http://pythonhosted.org/cloud_sptheme/
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/cloud-sptheme/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/cloud-sptheme/trunk/
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/cloud-sptheme.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/cloud-sptheme.git
 
 Package: python-cloud-sptheme
 Architecture: all

## cloud-sptheme 1.9.4

=== debian/changelog ===
cloud-sptheme (1.9.4-2) unstable; urgency=medium

  * Team upload.
  * d/control: Remove ancient X-Python-Version field
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs
  * Use debhelper-compat instead of debian/compat.
  * Use Python 3 for building docs.
  * Drop Python 2 support.

 -- Ondřej Nový <onovy@debian.org>  Wed, 31 Jul 2019 10:21:50 +0200

cloud-sptheme (1.9.4-1) unstable; urgency=medium

  [ Nicolas Dandrimont ]
  * New upstream release (Closes: #854332)
  * Update to gbp-pq unapplied patches format
  * Refresh patches after git-dpm to gbp-pq conversion
  * Remove upstream signing-key (no more signatures)
  * Build docs without the fulltoc extension
  * Update Homepage URL
  * Add patch to fix FTBFS with sphinx 1.7+ (Closes: #896613)
  * Update debhelper compat level to 11
  * Update Standards Version to 4.1.4 (no further changes)

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field

 -- Nicolas Dandrimont <olasd@debian.org>  Mon, 30 Apr 2018 21:00:08 +0200

=== debian/control ===
Source: cloud-sptheme
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Nicolas Dandrimont <olasd@debian.org>
Build-Depends: debhelper-compat (= 11),
               dh-python,
               python3-sphinx,
               python3-all,
               python3-mock,
               python3-setuptools,
               python3-sphinx
Standards-Version: 4.1.4
Homepage: https://cloud-sptheme.readthedocs.io/
Vcs-Git: https://salsa.debian.org/python-team/modules/cloud-sptheme.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/cloud-sptheme

Package: python3-cloud-sptheme
Architecture: all
Depends: cloud-sptheme-common (= ${source:Version}),
         ${misc:Depends},
         ${python3:Depends}
Description: Cloud Sphinx theme and related extensions (python3 version)
 cloud_sptheme contains a Sphinx theme named "Cloud", and some related
 Sphinx extensions.  Cloud and its extensions are primarily oriented
 towards generating html documentation for Python libraries. It provides
 numerous small enhancements to make the html documentation more
 interactive, and improve the layout on mobile devices.
 .
 In addition to the Cloud theme, this package provides a few extra Sphinx
 extensions which may be useful when documenting Python projects; and
 should be theme-agnostic:
 .
 cloud_sptheme.ext.autodoc_sections
   Patches the sphinx.ext.autodoc to handle RST section headers inside
   docstrings.
 cloud_sptheme.ext.issue_tracker
   Adds a special :issue: role for quickly linking to your project's
   issue tracker.
 cloud_sptheme.ext.escaped_samp_literals
   Patches Sphinx to permit escaped {} characters within a :samp: role.
 cloud_sptheme.ext.table_styling
   Enhances .. table directive to support per-column text alignment and
   other layout features.
 .
 This package contains the Python 3 version of cloud_sptheme.

Package: cloud-sptheme-common
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Cloud Sphinx theme and related extensions (theme files and docs)
 cloud_sptheme contains a Sphinx theme named "Cloud", and some related
 Sphinx extensions.  Cloud and its extensions are primarily oriented
 towards generating html documentation for Python libraries. It provides
 numerous small enhancements to make the html documentation more
 interactive, and improve the layout on mobile devices.
 .
 This package contains the theme files, shared by the python2 and
 python3 versions of the package. It also contains the documentation for
 the theme and the associated extensions.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	python3 -m sphinx $(CURDIR)/docs $(CURDIR)/html

override_dh_auto_clean:
	dh_auto_clean
	if [ -d $(CURDIR)/html ]; then rm -r $(CURDIR)/html; fi

override_dh_install:
	dh_install --fail-missing

## cloud-sptheme 1.10.1.post20200504175005

=== debian/changelog ===
cloud-sptheme (1.10.1.post20200504175005-8) unstable; urgency=medium

  * Team Upload
  * Fix SyntaxWarning (Closes: #1085419)
  * Drop Python2+3 hybridation package (Closes: #1081980)
  * Fix 0003-Remove-cookies-and-tracking.patch (Closes: #911471)
  * Use dh-sequence-python3
  * Bump d/watch to v4

 -- Alexandre Detiste <tchet@debian.org>  Sun, 26 Oct 2025 11:06:11 +0100

cloud-sptheme (1.10.1.post20200504175005-7) unstable; urgency=medium

  * Team upload.
  * Switch to unittest.mock (thanks, s3v; closes: #1088224).

 -- Colin Watson <cjwatson@debian.org>  Thu, 12 Dec 2024 23:20:11 +0000

cloud-sptheme (1.10.1.post20200504175005-6) unstable; urgency=medium

  * Team upload.
  * Move from jinja2 to markupsafe. (Closes: #1033435)

 -- Bastian Germann <bage@debian.org>  Thu, 30 Mar 2023 11:29:32 +0200

cloud-sptheme (1.10.1.post20200504175005-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Update standards version to 4.6.0, no changes needed.
  * Update standards version to 4.6.1, no changes needed.
  * Apply multi-arch hints. + cloud-sptheme-common: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 22 Oct 2022 11:25:49 +0100

cloud-sptheme (1.10.1.post20200504175005-4) unstable; urgency=medium

  * autopkgtest: Depend on python3-all. (Closes: #1001243)

 -- Stefano Rivera <stefanor@debian.org>  Fri, 17 Dec 2021 16:29:41 -0400

cloud-sptheme (1.10.1.post20200504175005-3) unstable; urgency=medium

  * Team upload.
  * Add autopkgtest.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 02 Nov 2021 11:43:34 -0700

cloud-sptheme (1.10.1.post20200504175005-2) unstable; urgency=medium

  * Team upload.
  * Patch: Support Sphinx 4. (Closes: #997428)

 -- Stefano Rivera <stefanor@debian.org>  Sun, 31 Oct 2021 14:18:57 -0700

cloud-sptheme (1.10.1.post20200504175005-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Andreas Tille ]
  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * cme fix dpkg-control
  * Testsuite: autopkgtest-pkg-python (routine-update)

  [ Sergio Durigan Junior ]
  * d/p/0004-Adjust-test-for-Python-3.9-mock-4.0.3.patch: New patch.
    On Python 3.9 + mock 4.0.3, the exc_info argument of the __exit__
    function needs to be a valid tuple. (Closes: #980632)
  * d/rules: Remove overrides and build theme using PYBUILD_AFTER_BUILD.
    There is no need to override the dh_auto_* targets, so this change
    removes these.  Also, build the documentation using
    PYBUILD_AFTER_BUILD, and make sure to specify SPHINX_THEME=classic
    when building, since we cannot easily use the "cloud" theme here.
  * d/cloud-sptheme-common.install: Update documentation path.
    The documentation is now being generated inside the
    debian/cloud-sptheme/ directory, so we need to update the path here.
  * d/clean: Don't clean now-inexistent "html" directory.
    With the documentation being generated inside the
    debian/cloud-sptheme/ directory, there is no need to remove the "html"
    directory (which was being created at the root of the source tree)
    anymore.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Fri, 05 Feb 2021 19:58:30 -0500

=== debian/control ===
Source: cloud-sptheme
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Nicolas Dandrimont <olasd@debian.org>,
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
X-DH-Compat: 14
Build-Depends:
 debhelper,
 dh-sequence-python3,
 python3-all,
 python3-setuptools,
 python3-sphinx,
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/cloud-sptheme
Vcs-Git: https://salsa.debian.org/python-team/packages/cloud-sptheme.git
Homepage: https://cloud-sptheme.readthedocs.io/

Package: python3-cloud-sptheme
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 cloud-sptheme-common,
Replaces:
 cloud-sptheme-common,
Description: Cloud Sphinx theme and related extensions (python3 version)
 cloud_sptheme contains a Sphinx theme named "Cloud", and some related
 Sphinx extensions.  Cloud and its extensions are primarily oriented
 towards generating html documentation for Python libraries. It provides
 numerous small enhancements to make the html documentation more
 interactive, and improve the layout on mobile devices.
 .
 In addition to the Cloud theme, this package provides a few extra Sphinx
 extensions which may be useful when documenting Python projects; and
 should be theme-agnostic:
 .
 cloud_sptheme.ext.autodoc_sections
   Patches the sphinx.ext.autodoc to handle RST section headers inside
   docstrings.
 cloud_sptheme.ext.issue_tracker
   Adds a special :issue: role for quickly linking to your project's
   issue tracker.
 cloud_sptheme.ext.escaped_samp_literals
   Patches Sphinx to permit escaped {} characters within a :samp: role.
 cloud_sptheme.ext.table_styling
   Enhances .. table directive to support per-column text alignment and
   other layout features.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild --without=single-binary

ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
export PYBUILD_AFTER_BUILD += \
	SPHINX_THEME="classic" http_proxy="127.0.0.1:9" \
	{interpreter} -m sphinx -N -b html docs/ $(CURDIR)/debian/cloud-sptheme/docs/html
endif

=== debian/tests/control ===
Tests:
 unittests,
Depends:
 python3-all,
 @,
Restrictions:
 allow-stderr,

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/cloud_sptheme/cloud_sptheme-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
